<form [formGroup]="form" (ngSubmit)="onSubmit()">
  <div class="form-field">
    <label for="registration-fields-username">
      {{ 'SIGN_IN.FIELDS.LABELS.USERNAME' | translate }}
      <span>*</span>
    </label>
    <input id="registration-fields-username" type="text" formControlName="username" required />
    <p class="error visualy-hidden" *ngIf="username.errors?.required">{{ 'FORM.ERRORS.REQUIRED' | translate }}</p>
  </div>
  <div class="form-field">
    <label for="registration-fields-password">
      {{ 'SIGN_IN.FIELDS.LABELS.PASSWORD' | translate }}
      <span>*</span>
    </label>
    <input id="registration-fields-password" type="password" formControlName="password" required />
    <p
      class="error visualy-hidden"
      *ngIf="password.errors?.required"
      [innerHTML]="'FORM.ERRORS.REQUIRED' | translate"
    ></p>
  </div>
  <button type="submit" mel-button color="primary" [disabled]="!form.valid">
    {{ 'SIGN_IN.SUBMIT' | translate }}
    <mel-simple-loader *ngIf="loading$ | async" [height]="24"></mel-simple-loader>
  </button>
  <section class="reset-password-section">
    <p
      [innerHTML]="
        'SIGN_IN.RESET_PASSWORD'
          | translate
            : {
                link: 'https://keycloak.my-everyday-lolita.com/auth/realms/my-everyday-lolita-realm/login-actions/reset-credentials?client_id=account-console'
              }
      "
    ></p>
    <p class="reset-password-info" [innerHTML]="'SIGN_IN.RESET_PASSWORD_INFO' | translate"></p>
  </section>
</form>
